Package org.drinkless.tdlib

# Class TdApi.ReportChatSponsoredMessageResultOptionRequired

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReportChatSponsoredMessageResult
org.drinkless.tdlib.TdApi.ReportChatSponsoredMessageResultOptionRequired

Enclosing class:
  TdApi

public static class TdApi.ReportChatSponsoredMessageResultOptionRequired extends TdApi.ReportChatSponsoredMessageResult
The user must choose an option to report the message and repeat request with the chosen option.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ReportChatSponsoredMessageResult

  `TdApi.ReportChatSponsoredMessageResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ReportChatSponsoredMessageOption[]`
  `options`
  List of available options.
  `String`
  `title`
  Title for the option choice.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportChatSponsoredMessageResultOptionRequired()`
  The user must choose an option to report the message and repeat request with the chosen option.
  `ReportChatSponsoredMessageResultOptionRequired(String title, TdApi.ReportChatSponsoredMessageOption[] options)`
  The user must choose an option to report the message and repeat request with the chosen option.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Title for the option choice.

  - ### options

    public TdApi.ReportChatSponsoredMessageOption[] options
    List of available options.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportChatSponsoredMessageResultOptionRequired

    public ReportChatSponsoredMessageResultOptionRequired()
    The user must choose an option to report the message and repeat request with the chosen option.

  - ### ReportChatSponsoredMessageResultOptionRequired

    public ReportChatSponsoredMessageResultOptionRequired(String title, TdApi.ReportChatSponsoredMessageOption[] options)
    The user must choose an option to report the message and repeat request with the chosen option.
    Parameters:
      `title` - Title for the option choice.
      `options` - List of available options.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ReportChatSponsoredMessageResult`
    Returns:
      this.CONSTRUCTOR